Subject: Re: Bug report: Author/Commit date in ISO 8601 format

From: Oliver Busch <[email-masked]>
Date: Tue, 26 Aug 2014 15:19:11 +0200

PS: As far as I understand it, there is no "optionality" of the "T" as 
an indicator for the start of the time part.

Am 26.08.2014 um 15:06 schrieb Jeff King:
> On Tue, Aug 26, 2014 at 09:29:44AM +0200, Oliver Busch wrote:
>
>> I encountered the following problem: When using the date formatting option
>> ISO (either by setting --date=iso or using format:%ci for the committer
>> date), the output is formatted like this:
>>
>> 2014-08-25 17:49:43 +0200
>>
>> But according to ISO 8601, should be formatted like this (see
>> http://www.w3.org/TR/NOTE-datetime):
>>
>> 2014-08-25T17:49:43+02:00
> Yeah, it is not strictly ISO but more ISO-like (to further add
> confusion, it is mostly RFC3339, which claims to be a "profile of
> ISO8601". But we don't follow the timezone conventions there. Yeesh).
>
> Interestingly, this actually came up when the feature was added:
>
>    http://thread.gmane.org/gmane.comp.version-control.git/52414/focus=52585
>
> but there was some discussion of ISO8601's weird phrasing of "T" being
> optional.
>
>> I therefore suggest to adapt the output when using --date=iso or
>> format:%ci to comply 100% with the ISO 8601 specs, or at least change
>> documentation to say the output is only "ISO-like".
> I think changing the output at this point would cause backwards
> compatibility problems (not to mention that it's a lot less readable for
> humans).
>
> Patches welcome for a documentation update. I also think something like
> --date=iso8601-strict might make sense for the case of feeding the
> result to another parser.
>
> -Peff
>

-- 

Oliver Busch, M.Eng.

Airport Research Center GmbH
Bismarckstraße 61
52066 Aachen
Germany

Phone: +49 241 16843-161
Fax: +49 241 16843-19
e-mail: [email-masked]
Website: http://www.airport-consultants.com

Register Court: Amtsgericht Aachen HRB 7313
Ust-Id-No.: DE196450052

Managing Directors:
Dipl.-Ing. Tom Alexander Heuer